Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039158
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Multi-Dimensional Financial Reports Infrastructuremajoralways2018-08-19 17:272018-09-12 21:33
ReporterdmiguelezView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision8dbdacdb1560
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned ToSandrahuguet
Regression introduced in release
Summary

0039158: Add missing indexes to improve performance

DescriptionAdd missing indexes to improve performance
Steps To ReproduceAdd missing indexes to improve performance
Proposed SolutionCREATE INDEX obfdr_translt_node ON obfdr_translate_accounts USING btree (node_id);
CREATE INDEX obfdr_translt_parent ON obfdr_translate_accounts USING btree (parent_id);
CREATE INDEX fact_acct_account_only ON public.fact_acct USING btree (account_id);
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0106394)
dmiguelez (developer)
2018-08-19 17:28

Tested in client and times are improved significantly.
(0106616)
hgbot (developer)
2018-09-06 12:01

Repository: erp/pmods/org.openbravo.financial.dimensionalreports
Changeset: 8dbdacdb156080efc4d9a1bc753cc1cc32aeccb4
Author: Mark <markmm82 <at> gmail.com>
Date: Mon Aug 27 21:09:28 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.financial.dimensionalreports/rev/8dbdacdb156080efc4d9a1bc753cc1cc32aeccb4 [^]

Fixed issue 39158: Added missing indexes to improve performance

Created new indexes to improve performance.

---
M src-db/database/model/tables/OBFDR_TRANSLATE_ACCOUNTS.xml
---
(0106618)
hgbot (developer)
2018-09-06 12:04

Repository: erp/devel/pi
Changeset: 82f92b9d402a9f22c0f6deebf6908b4b86aba883
Author: Mark <markmm82 <at> gmail.com>
Date: Mon Aug 27 21:12:20 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/82f92b9d402a9f22c0f6deebf6908b4b86aba883 [^]

Related to issue 39158: Added missing indexes to improve performance

Created new indexes to improve performance.

---
M src-db/database/model/tables/FACT_ACCT.xml
---
(0106619)
Sandrahuguet (developer)
2018-09-06 12:09

verified
(0106725)
hudsonbot (developer)
2018-09-12 21:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad75d3cb1744 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-08-19 17:27 dmiguelez New Issue
2018-08-19 17:27 dmiguelez Assigned To => Triage Finance
2018-08-19 17:28 dmiguelez Note Added: 0106394
2018-08-19 17:28 dmiguelez Category Multi-Dimensional Profit And Loss => Multi-Dimensional Financial Reports Infrastructure
2018-08-19 17:28 dmiguelez Proposed Solution updated
2018-08-20 13:37 martinsdan Issue Monitored: martinsdan
2018-08-22 11:46 ngarcia Issue Monitored: ngarcia
2018-08-23 11:01 ngarcia Priority normal => urgent
2018-08-23 11:01 ngarcia Severity minor => major
2018-08-27 08:17 Sandrahuguet Assigned To Triage Finance => markmm82
2018-08-27 23:59 markmm82 Status new => scheduled
2018-09-06 12:01 hgbot Checkin
2018-09-06 12:01 hgbot Note Added: 0106616
2018-09-06 12:01 hgbot Status scheduled => resolved
2018-09-06 12:01 hgbot Resolution open => fixed
2018-09-06 12:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.financial.dimensionalreports/rev/8dbdacdb156080efc4d9a1bc753cc1cc32aeccb4 [^]
2018-09-06 12:04 hgbot Checkin
2018-09-06 12:04 hgbot Note Added: 0106618
2018-09-06 12:09 Sandrahuguet Review Assigned To => Sandrahuguet
2018-09-06 12:09 Sandrahuguet Note Added: 0106619
2018-09-06 12:09 Sandrahuguet Status resolved => closed
2018-09-10 12:13 Sandrahuguet Tag Attached: Performance
2018-09-12 21:33 hudsonbot Checkin
2018-09-12 21:33 hudsonbot Note Added: 0106725


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker